<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
// VARIABLES
$themename = get_theme_data(STYLESHEETPATH . '/style.css');
$themename = $themename['Name'];
$shortname = "ct";
	
// Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
// Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");

// Homepage blocks
$ct_options_homepage_blocks = array( 
	"disabled" => array (
		"placebo" 				=> "placebo" // REQUIRED
	), 
	"enabled" => array (
		"placebo"				=> "placebo", // REQUIRED
		"featured_listings"		=> "Featured Listings",
		"call_to_action"		=> "Call To Action"
	),
);

// Google Fonts 
$fonts = array(
	"PT+Sans" => "PT Sans",
	"Droid+Sans" => "Droid Sans",
	"Lato" => "Lato",
	"Cabin" => "Cabin",
	"Playfair+Display" => "Playfair Display",
	"Cabin+Condensed" => "Cabin Condensed",
	"Ubuntu" => "Ubuntu",
	"Josefin+Sans" => "Josefin Sans",
	"Josefin+Slab" => "Josefin Slab",
	"Hammersmith+One" => "Hammersmith One",
	"Volkhov" => "Volkhov",
	"Merriweather" => "Merriweather",
	"Crimson+Text" => "Crimson Text",
	"Dancing+Script" => "Dancing Script",
	"Yanone+Kaffeesatz" => "Yanone Kaffeesatz",
	"Molengo" => "Molengo",
	"Open+Sans" => "Open Sans",
	"Jura" => "Jura",
	"Cardo" => "Cardo",
	"Metrophobic" => "Metrophobic",
	"Quattrocento" => "Quattrocento",
	"Lobster" => "Lobster",
	"Arvo" => "Arvo",
	"Pacifico" => "Pacifico",
	"Calligraffitti" => "Calligraffitti",
	"Reenie Beanie" => "Reenie Beanie",
	"Crafty Girls" => "Crafty Girls",
	"Tangerine" => "Tangerine",
	"Oswald" => "Oswald",
	"Shadows Into Light" => "Shadows Into Light",
	"Nobile" => "Nobile",
	"Raleway" => "Raleway",
	"Rock Salt" => "Rock Salt",
	"Amaranth" => "Amaranth",
	"Brawler" => "Brawler",
	"Kameron" => "Kameron",
	"Kreon" => "Kreon",
	"Michroma" => "Michroma",
	"Copse" => "Copse",
	"Philosopher" => "Philosopher",
	"Play" => "Play",
	"Tinos" => "Tinos"
);
 
$of_options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = STYLES_PATH;
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

// Background Images Reader
$bg_images_path = STYLESHEETPATH. '/images/skins/'; // change this to where you store your bg images
$bg_images_url = get_template_directory_uri().'/images/skins/'; // change this to where you store your bg images
$bg_images = array();

if ( is_dir($bg_images_path) ) {
    if ($bg_images_dir = opendir($bg_images_path) ) { 
        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
                $bg_images[] = $bg_images_url . $bg_images_file;
            }
        }    
    }
}

/*-----------------------------------------------------------------------------------*/
/* TO DO: Add options/functions that use these */
/*-----------------------------------------------------------------------------------*/

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right", "fixed");
$yes_no = array("Yes","No"); 

// Image Alignment radio box
$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

// General Settings
$of_options[] = array(	"name" => __("General Settings", "contempo"),
						"type" => "heading");
							
$of_options[] = array( 	"name" => __("Choose a font", "contempo"),
						"desc" => __("Select an alternative font.", "contempo"),
						"id" => $shortname."_custom_font",
						"std" => "PT Sans",
						"type" => "select",
						"options" => $fonts);
					
$of_options[] = array(	"name" => __("Custom Logo", "contempo"),
						"desc" => __("Upload a logo for your theme, or specify the image address of your online logo. (http://yoursite.com/logo.png)", "contempo"),
						"id" => $shortname."_logo",
						"std" => "",
						"type" => "upload");
						
$of_options[] = array(	"name" => __("Use Text Logo?", "contempo"),
						"desc" => __("Choose if you would like to use the Blog Title in place of an image logo. Text can be setup in WP Settings > General.", "contempo"),
						"id" => $shortname."_text_logo",
						"std" => "No",
						"type" => "select",
						"options" => $yes_no);
						
$of_options[] = array(	"name" => __("Custom Excerpt Length", "contempo"),
						"desc" => __("Specify the length of post excerpts in words, default is 25.'.", "contempo"),
						"id" => $shortname."_excerpt_length",
						"std" => "25",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Custom Read More Text", "contempo"),
						"desc" => __("Specify your link text, default is 'Read More &rarr;'.", "contempo"),
						"id" => $shortname."_read_more",
						"std" => "Read More <em>&rarr;</em>",
						"type" => "text");
					
$url =  ADMIN_DIR . 'images/';
$of_options[] = array( 	"name" => __("Main Layout", "contempo"),
						"desc" => __("Select main content and sidebar alignment. Choose a left or right sidebar.", "contempo"),
						"id" => $shortname."_layout",
						"std" => "right-sidebar",
						"type" => "images",
						"options" => array(
						//	'1col-fixed.css' => $url . '1col.png',
							'right-sidebar' => $url . '2cr.png',
							'left-sidebar' => $url . '2cl.png')
						//	'3c-fixed.css' => $url . '3cm.png',
						//	'3c-r-fixed.css' => $url . '3cr.png')
						);
					
$of_options[] = array(	"name" => __("Custom Favicon", "contempo"),
						"desc" => __("Upload a 16px x 16px Png/Gif image that will represent your website's favicon.", "contempo"),
						"id" => $shortname."_custom_favicon",
						"std" => "",
						"type" => "upload");

// Tagline/Social Bar Options
$of_options[] = array(	"name" => __("Social", "contempo"),
	                    "type" => "heading");
						
$of_options[] = array(	"name" => __("Social", "contempo"),
						"desc" => "",
						"id" => $shortname."_social_info",
						"std" => "These are general social profiles to be used on the Contact Us page. Individual user social profiles can be edited via Users > User.",
						"type" => "info");
						
$of_options[] = array(	"name" => __("Twitter Username", "contempo"),
						"desc" => __("Enter your Twitter username.", "contempo"),
						"id" => $shortname."_twitter_user",
						"std" => "",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Facebook URL", "contempo"),
						"desc" => __("Enter your full Facebook URL, beginning with http://.", "contempo"),
						"id" => $shortname."_facebook_url",
						"std" => "",
						"type" => "text");
						
$of_options[] = array(	"name" => __("LinkedIn URL", "contempo"),
						"desc" => __("Enter your full LinkedIn URL, beginning with http://.", "contempo"),
						"id" => $shortname."_linkedin_url",
						"std" => "",
						"type" => "text");

$of_options[] = array(	"name" => __("Google+ URL", "contempo"),
						"desc" => __("Enter your full Google+ URL, beginning with http://.", "contempo"),
						"id" => $shortname."_google_plus_url",
						"std" => "",
						"type" => "text");
					
// Homepage Options
$of_options[] = array(	"name" => __("Homepage", "contempo"),
	                    "type" => "heading");
	
$of_options[] = array(	"name" => __("Layout Manager", "contempo"),
						"desc" => __("Drag and drop layout manager, to quickly organize your homepage contents.", "contempo"),
						"id" => $shortname."_homepage_layout",
						"std" => $ct_options_homepage_blocks,
				  		"type" => "sorter");
						
$of_options[] = array(	"name" => __("Display Large Listings Map?", "contempo"),
						"desc" => __("Select whether or not you'd like to display the large listings map.", "contempo"),
						"id" => $shortname."_home_map",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no); 
						
$of_options[] = array(	"name" => __("Default Map Center", "contempo"),
						"desc" => __("Enter the latitude and longitude of your default map center/city, ex 32.7153292, -117.1572551.", "contempo"),
						"id" => $shortname."_home_map_center",
						"std" => "32.7153292, -117.1572551",
						"type" => "text");						
						
$of_options[] = array(	"name" => __("How many listings would like to appear on the map?", "contempo"),
						"desc" => __("This is for the large listings map on the homepage, default is 5.", "contempo"),
						"id" => $shortname."_home_map_num",
						"std" => "5",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Display Slider?", "contempo"),
						"desc" => __("Select whether or not you'd like to display the featured slider, great for important announcements.", "contempo"),
						"id" => $shortname."_home_slider",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);
						
$of_options[] = array(	"name" => __("Slideshow Height", "contempo"),
						"desc" => __("Set the height of the slider in pixels, default is 429.", "contempo"),
						"id" => $shortname."_flex_height",
						"std" => "429",
						"type" => "text");
						
$of_options[] = array( "name" => "Slides",
						"desc" => "Unlimited slider with drag and drop sorting, supports images or video.",
						"id" => $shortname."_flex_slider",
						"std" =>   array (
							1 => 
							array (
							'order' => '',
							'title' => '',
							'url' => '',
							'link' => '',
							'description' => '',
							),
						),
						"type" => "slider");
						
$of_options[] = array(	"name" => __("Call To Action Text", "contempo"),
						"desc" => __("Your call to action verbiage, ex: Feature rich and affordable, you can't afford to pass this up!", "contempo"),
						"id" => $shortname."_cta_text",
						"std" => "A Responsive <span class=\"amp\">&</span> Feature Rich Real Estate Theme<br />for WordPress! <a href=\"#\"><em>Buy It Now!</em></a>",
						"type" => "textarea");
						
$of_options[] = array(	"name" => __("Display Listings Search?", "contempo"),
						"desc" => __("Select whether or not you'd like to display the listings search.", "contempo"),
						"id" => $shortname."_home_search",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);
						
$of_options[] = array(	"name" => __("Widget Area", "contempo"),
						"desc" => "",
						"id" => $shortname."_homepage_widget_area",
						"std" => "The Widget Area can be controlled via Appearance > Widgets > Homepage and Homepage Sidebar.",
						"type" => "info");
						
// Flex Slider Options
$of_options[] = array(	"name" => __("Flexslider", "contempo"),
	                    "type" => "heading");
						
$of_options[] = array(	"name" => __("Animation", "contempo"),
						"desc" => __("Select your animation type.", "contempo"),
						"id" => $shortname."_flex_animation",
						"std" => "fade",
						"type" => "select",
						"options" => array(
							'fade' => 'Fade',
							'slide' => 'Slide'
						));	
						
$of_options[] = array(	"name" => __("Slide Direction", "contempo"),
						"desc" => __("Select sliding direction.", "contempo"),
						"id" => $shortname."_flex_direction",
						"std" => "horizontal",
						"type" => "select",
						"options" => array(
							'horizontal' => 'Horizontal',
							'vertical' => 'Vertical'
						));	
						
$of_options[] = array(	"name" => __("Slideshow Speed", "contempo"),
						"desc" => __("Set the speed of the slideshow cycling, in milliseconds.", "contempo"),
						"id" => $shortname."_flex_speed",
						"std" => "7000",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Animation Duration", "contempo"),
						"desc" => __("Set the speed of animations, in milliseconds.", "contempo"),
						"id" => $shortname."_flex_duration",
						"std" => "600",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Randomize Slides?", "contempo"),
						"desc" => __("Randomize slide order.", "contempo"),
						"id" => $shortname."_flex_randomize",
						"std" => "False",
						"type" => "select",
						"options" => array(
							'false' => 'False',
							'true' => 'True'
						));		                                          

// Create a Skin
$of_options[] = array(	"name" => __("Create a Skin", "contempo"),
						"type" => "heading");
						
$of_options[] = array(	"name" => __("Use Custom Styles?", "contempo"),
						"desc" => __("Select whether or not you'd like to use these custom styles.", "contempo"),
						"id" => $shortname."_use_styles",
						"std" => "No",
						"type" => "select",
						"options" => $yes_no);
					
$of_options[] = array(	"name" => __("Body Background Color", "contempo"),
						"desc" => __("Pick a background color for the theme (default: #fff).", "contempo"),
						"id" => $shortname."_body_bg_color",
						"std" => "",
						"type" => "color");
						
$of_options[] = array(	"name" => "Enable Background Image Below",
						"desc" => "Check this to use a background image for the theme, otherwise only the solid color you chose above will be displayed.",
						"id" => $shortname."_background_image",
						"std" => 1,
						"type" => "checkbox");
						
$of_options[] = array(	"name" => "Background Images",
						"desc" => "Select a background pattern.",
						"id" =>  $shortname."_custom_bg",
						"std" => "",
						"type" => "tiles",
						"options" => $bg_images,);
						
$of_options[] = array(	"name" => __("Body Background Image", "contempo"),
						"desc" => __("Upload a custom body background image.", "contempo"),
						"id" => $shortname."_body_bg_image",
						"std" => "",
						"type" => "upload");
						
$of_options[] = array(	"name" => __("Body Background Position", "contempo"),
						"desc" => __("Choose the position for your background image.", "contempo"),
						"id" => $shortname."_body_bg_pos",
						"std" => "top left",
						"type" => "select",
						"options" => $body_pos);
						
$of_options[] = array(	"name" => __("Body Background Repeat", "contempo"),
						"desc" => __("Choose the position for your background image.", "contempo"),
						"id" => $shortname."_body_bg_repeat",
						"std" => "no-repeat",
						"type" => "select",
						"options" => $body_repeat);
						
/*$of_options[] = array(	"name" => "Body Font",
						"desc" => "Specify the body font properties",
						"id" => "_body_font",
						"std" => array('size' => '0.75em','face' => 'arial','color' => '#444', 'height' => '1.5em',),
						"type" => "typography");*/
						
$of_options[] = array(	"name" => __("Header Top Border Color", "contempo"),
						"desc" => __("Pick a background color for the header top border (default: #2a5b68).", "contempo"),
						"id" => $shortname."_header_border_color",
						"std" => "",
						"type" => "color");
					
$of_options[] = array(	"name" => __("Header Background Color", "contempo"),
						"desc" => __("Pick a background color for the header (default: #fff).", "contempo"),
						"id" => $shortname."_header_background",
						"std" => "",
						"type" => "color");
					
$of_options[] = array(	"name" => __("Link Color", "contempo"),
						"desc" => __("(default: #5a7c87).", "contempo"),
						"id" => $shortname."_link_color",
						"std" => "",
						"type" => "color");
					
$of_options[] = array(	"name" => __("Visited Link Color", "contempo"),
						"desc" => __("(default: #5a7c87).", "contempo"),
						"id" => $shortname."_visited_color",
						"std" => "",
						"type" => "color");
					
$of_options[] = array(	"name" => __("Hover Link Color", "contempo"),
						"desc" => __("(default: #253236).", "contempo"),
						"id" => $shortname."_hover_color",
						"std" => "",
						"type" => "color");
					
$of_options[] = array(	"name" => __("Active Link Color", "contempo"),
						"desc" => __("(default: #253236).", "contempo"),
						"id" => $shortname."_active_color",
						"std" => "",
						"type" => "color");
						
$of_options[] = array(	"name" => __("Footer Top Border Color", "contempo"),
						"desc" => __("Pick a background color for the footer top border (default: #030304).", "contempo"),
						"id" => $shortname."_footer_border_top_color",
						"std" => "",
						"type" => "color");

$of_options[] = array(	"name" => __("Footer Background Color", "contempo"),
						"desc" => __("Pick a background color for the footer (default: #111).", "contempo"),
						"id" => $shortname."_footer_background",
						"std" => "",
						"type" => "color");
					
$of_options[] = array(	"name" => __("Custom CSS", "contempo"),
	                    "desc" => __("Quickly add some CSS to your theme by adding it to this block.", "contempo"),
	                    "id" => $shortname."_custom_css",
	                    "std" => "",
	                    "type" => "textarea");
	
// Alert Bar
/* $of_options[] = array(	"name" => __("Alert Bar", "contempo"),
						"type" => "heading");
						
$of_options[] = array(	"name" => __("Display Alert Bar?", "contempo"),
						"desc" => __("Select whether or not you'd like to display the Alert Bar, great for important announcements.", "contempo"),
						"id" => $shortname."_alert",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);
						
$of_options[] = array(	"name" => __("Make Alert Bar Sticky?", "contempo"),
						"desc" => __("Select whether or not you'd like the Alert Bar to stick to the top of the page, so it stays with the user as they scroll.", "contempo"),
						"id" => $shortname."_alert_sticky",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);
						
$of_options[] = array(	"name" => __("Alert Bar Text", "contempo"),
						"desc" => __("Your alert bar verbiage, ex: Drive more attention to your most important website content with Alert Bar. No Plugin Needed!", "contempo"),
						"id" => $shortname."_alert_text",
						"std" => "Drive more attention to your most important website content with Alert Bar. No Plugin Needed!",
						"type" => "textarea");
						
$of_options[] = array(	"name" => __("Alert Bar Font", "contempo"),
						"desc" => __("Specify the Alert Bar font properties", "contempo"),
						"id" => $shortname."_alert_font",
						"std" => array('size' => '12px','face' => 'arial','style' => 'normal','color' => '#ffffff'),
						"type" => "typography");
						
$of_options[] = array(	"name" => __("Background Color", "contempo"),
						"desc" => __("Pick a background color for the Alert Bar (default: #222222).", "contempo"),
						"id" => $shortname."_alert_bgcolor",
						"std" => "",
						"type" => "color");
*/

// Listings
$of_options[] = array(	"name" => __("Listings", "contempo"),
	                    "type" => "heading");
						
$of_options[] = array(	"name" => __("Sq Ft or Sq Meters?", "contempo"),
						"desc" => __("Select if you would like to use Sq Ft or Sq Meters.", "contempo"),
						"id" => $shortname."_sq",
						"std" => "Sq Ft",
						"type" => "select",
						"options" => array(
							'sqft' => 'Sq Ft',
							'sqmeteres' => 'Sq Meters'
						));
							
$of_options[] = array(	"name" => __("Currency", "contempo"),
						"desc" => __("Enter your currency symbol here, US dollars is default.", "contempo"),
						"id" => $shortname."_currency",
						"std" => "$",
						"type" => "text");
						
// Single Post Options
$of_options[] = array(	"name" => __("Single Post", "contempo"),
	                    "type" => "heading");
						
$of_options[] = array(	"name" => __("Display Breadcrumbs?", "contempo"),
						"desc" => __("Select whether or not you'd like to display breadcrumbs globally for posts.", "contempo"),
						"id" => $shortname."_post_breadcrumbs",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);	

$of_options[] = array(	"name" => __("Display Auto Post Image?", "contempo"),
						"desc" => __("Select whether or not you'd like to display the first image uploaded to a post (global for all posts).", "contempo"),
						"id" => $shortname."_post_thumb",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);

$of_options[] = array(	"name" => __("Date Format", "contempo"),
						"desc" => __("PHP date format, default is F jS, Y.", "contempo"),
						"id" => $shortname."_date_format",
						"std" => "F jS, Y",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Display Author Info?", "contempo"),
						"desc" => __("Select whether or not you'd like to display the author info at the end of your posts.", "contempo"),
						"id" => $shortname."_author_info",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);	
						
$of_options[] = array(	"name" => __("Display Comments?", "contempo"),
						"desc" => __("Select whether or not you'd like to display comments globally for posts.", "contempo"),
						"id" => $shortname."_post_comments",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);		
						
// Contact Options
$of_options[] = array(	"name" => __("Contact", "contempo"),
	                    "type" => "heading");
	                    
$of_options[] = array(	"name" => __("Email Address", "contempo"),
						"desc" => __("The email address you would like your form submissions sent to (e.g. youremail@yourdomain.com).", "contempo"),
						"id" => $shortname."_contact_email",
						"std" => "",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Subject", "contempo"),
						"desc" => __("Subject of the email sent by the contact form.", "contempo"),
						"id" => $shortname."_contact_subject",
						"std" => "",
						"type" => "text");

$of_options[] = array(	"name" => __("Success Message", "contempo"),
						"desc" => __("This is the text displayed if the form submission has been successful.", "contempo"),
						"id" => $shortname."_contact_success",
						"std" => "",
						"type" => "textarea");
						
$of_options[] = array(	"name" => __("Display Google Map?", "contempo"),
						"desc" => __("Select whether or not you'd like to display a Google map of your location.", "contempo"),
						"id" => $shortname."_contact_map",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);
						
$of_options[] = array(	"name" => __("Google Map Type?", "contempo"),
						"desc" => __("Choose your map display type.", "contempo"),
						"id" => $shortname."_contact_map_type",
						"std" => "Roadmap",
						"type" => "select",
						"options" => array(
							"ROADMAP" => "Roadmap",
							"SATELLITE" => "Satellite",
							"HYBRID" => "Hybrid",
							"TERRAIN" => "Terrain"
						));
						
$of_options[] = array(	"name" => __("Map Address", "contempo"),
						"desc" => __("The address of your location to be used in the Google Map, needs to be entered in this format: 350 Camino De La Reina San Diego, CA 92108", "contempo"),
						"id" => $shortname."_contact_map_location",
						"std" => "350 Camino De La Reina San Diego, CA 92108",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Location Address", "contempo"),
						"desc" => __("The address of your location to be used in the Contact Details column, if you'd like to display it. Recommended format: 350 Camino De La Reina San Diego&lt;br /&gt;San Diego, CA 92108", "contempo"),
						"id" => $shortname."_contact_details_location",
						"std" => "350 Camino De La Reina<br />San Diego, CA 92108",
						"type" => "textarea");
						
$of_options[] = array(	"name" => __("Business Phone", "contempo"),
						"desc" => __("Enter your phone number if here, if you'd like to display it.", "contempo"),
						"id" => $shortname."_contact_details_phone",
						"std" => "(619) 555-4236",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Business Fax", "contempo"),
						"desc" => __("Enter your fax number if here, if you'd like to display it.", "contempo"),
						"id" => $shortname."_contact_details_fax",
						"std" => "(619) 555-4237",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Email", "contempo"),
						"desc" => __("Enter your email here, if you'd like to display it.", "contempo"),
						"id" => $shortname."_contact_details_email",
						"std" => "info@yourcompany.com",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Display Social Links?", "contempo"),
						"desc" => __("Select whether or not you'd like to display the social links block.", "contempo"),
						"id" => $shortname."_contact_social",
						"std" => "Yes",
						"type" => "select",
						"options" => $yes_no);
						
$of_options[] = array(	"name" => __("Social Links", "contempo"),
						"desc" => "",
						"id" => "contact-info",
						"std" => "NOTE: Social links in the third column of the contact template are pulled from the Tagline/Social options panel.",
						"type" => "info");
											
// Footer Options
$of_options[] = array(	"name" => __("Footer", "contempo"),
	                    "type" => "heading");

$of_options[] = array(	"name" => __("Tracking Code", "contempo"),
						"desc" => __("Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.", "contempo"),
						"id" => $shortname."_tracking_code",
						"std" => "",
						"type" => "textarea");        

$of_options[] = array(	"name" => __("Footer Text", "contempo"),
						"desc" => __("You can use the following shortcodes in your footer text: [wp-link] [theme-link] [loginout-link] [blog-title] [blog-link] [the-year]", "contempo"),
	                    "id" => $shortname."_footer_text",
	                    "std" => "",
	                    "type" => "textarea");
	
// PressTrends Options
$of_options[] = array(	"name" => __("PressTrends", "contempo"),
						"type" => "heading");
						
$of_options[] = array(	"name" => __("Disable PressTrends Tracking?", "contempo"),
						"desc" => __("Disable sending of usage data to PressTrends.", "contempo"),
						"id" => $shortname."_presstrends",
						"std" => "No",
						"type" => "select",
						"options" => $yes_no);
						
$of_options[] = array(	"name" => __("What is PressTrends?", "contempo"),
						"desc" => "",
						"id" => "presstrends-info",
						"std" => "PressTrends is a simple usage tracker that allows us to see how our customers are using our themes - so that we can help improve them for you. None of your personal data is sent to PressTrends. For more information, please view the PressTrends <a href='http://presstrends.io/privacy' target='_blank'>privacy policy</a>.",
						"type" => "info");
						
// Backup Options
$of_options[] = array( "name" => "Backup/Restore",
                    	"type" => "heading");

$of_options[] = array( "name" => __("Backup and Restore Options", "contempo"),
                    	"desc" => "",
                    	"id" => "aq_backup",
                    	"std" => "",
                    	"type" => "backup",
                    	"options" => 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.');
						
// Framework Options
$of_options[] = array(	"name" => __("Framework", "contempo"),
						"type" => "heading");
						
$of_options[] = array(	"name" => __("Custom Framework Name", "contempo"),
						"desc" => __("Use this field to specify a custom name to replace the theme name in the top right corner of options panel.", "contempo"),
						"id" => $shortname."_custom_framework_name",
						"std" => "",
						"type" => "text");
						
$of_options[] = array(	"name" => __("Disable Changelog and Theme Documentation links?", "contempo"),
						"desc" => __("Disable changelog and theme documentation links under theme name in the options panel.", "contempo"),
						"id" => $shortname."_changelog_doc_links",
						"std" => "No",
						"type" => "select",
						"options" => $yes_no);

$of_options[] = array(	"name" => __("Note", "contempo"),
						"desc" => "",
						"id" => "framework-info",
						"std" => "After any of these settings are saved you must hit the browser refresh button in order for them to show in the options panel.",
						"type" => "info");
	}
}
?>
