<?php
/**
 * Functions
 *
 * @package WP Pro Real Estate 3
 * @subpackage Admin
 */
 
if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Homepage',
		'description' => 'Widgets in this area will be shown in the homepage under the search block.',
        'before_widget' => '<aside id="%1$s" class="widget %2$s left">',
        'after_widget' => '</aside>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
));

if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Homepage Sidebar',
		'description' => 'Widgets in this area will be shown in the homepage sidebar.',
        'before_widget' => '<aside id="%1$s" class="widget %2$s left">',
        'after_widget' => '</aside>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
));

if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Listings Search Left',
		'description' => 'Widgets in this area will be shown in the left sidebar area on the listings search.',
        'before_widget' => '<aside id="%1$s" class="widget %2$s left">',
        'after_widget' => '</aside>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
));

if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Listings Search Right',
		'description' => 'Widgets in this area will be shown in the right sidebar area on the listings search.',
        'before_widget' => '<aside id="%1$s" class="widget %2$s left">',
        'after_widget' => '</aside>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
));

if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Listings Single',
		'description' => 'Widgets in this area will be shown in the right sidebar area on the listings single view.',
        'before_widget' => '<aside id="%1$s" class="widget %2$s left">',
        'after_widget' => '</aside>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
));

if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Sidebar Blog',
		'description' => 'Widgets in this area will be shown in the sidebar area for blog & archives.',
        'before_widget' => '<aside id="%1$s" class="widget %2$s left">',
        'after_widget' => '</aside>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
));
	
if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'Sidebar Pages',
		'description' => 'Widgets in this area will be shown in the sidebar area for pages.',
        'before_widget' => '<aside id="%1$s" class="widget %2$s left">',
        'after_widget' => '</aside>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
));

// Add Automatic Feed Links
add_theme_support( 'automatic-feed-links' );

// Localization Support
load_theme_textdomain( 'contempo', TEMPLATEPATH.'/languages' );
 
$locale = get_locale();
$locale_file = TEMPLATEPATH."/languages/$locale.php";
if ( is_readable($locale_file) )
    require_once($locale_file);

/*-----------------------------------------------------------------------------------*/
/* Framework Functions
/*-----------------------------------------------------------------------------------*/

// Define some constant paths
define('ADMIN_PATH', TEMPLATEPATH . '/admin/');
define('ADMIN_DIR', get_template_directory_uri() . '/admin/');
define('STYLES_PATH', TEMPLATEPATH . '/css/');
define('INC_PATH', TEMPLATEPATH . '/includes/');

$themedata = get_theme_data(STYLESHEETPATH . '/style.css');
define('THEMENAME', $themedata['Name']);
define('OPTIONS', 'aq_options');
define('BACKUPS','of_backups');

require_once (ADMIN_PATH . 'admin-interface.php');			// Admin Interface
require_once (ADMIN_PATH . 'theme-options.php');			// Options panel settings and custom settings
require_once (ADMIN_PATH . 'admin-functions.php'); 			// Theme actions based on options settings
require_once (ADMIN_PATH . 'medialibrary-uploader.php');	// Media Library Uploader

// PressTrends
global $ct_options;
if($ct_options['ct_presstrends'] == "No") {
require_once (ADMIN_PATH . 'presstrends.php');	
}

// Update Notifier
require_once (ADMIN_PATH . 'update-notifier.php');

// Edit Author Slug
require_once (ADMIN_PATH . 'edit-author-slug/edit-author-slug.php');

// Child Theme Creator
require_once (ADMIN_PATH . 'ct-child-theme/ct-child-theme.php');

// Custom Profile Fields
require_once (ADMIN_PATH . 'profile-fields.php');

// Custom Taxonomies
require_once (ADMIN_PATH . 'custom-taxonomies.php');

// Custom Posts
require_once (ADMIN_PATH . 'custom-posts.php');

// Custom Post Type Archives in Nav Menus
//require_once (ADMIN_PATH . 'cpt-archives-in-nav-menus.php');

// Custom Metaboxes
require_once(ADMIN_PATH . 'metabox/metaboxes.php');

// Theme Functions
require_once (ADMIN_PATH . 'theme-functions.php');

// Custom Shortcodes
require_once (ADMIN_PATH . 'shortcodes.php');

// TinyMCE Plugin for Shortcodes
require_once (ADMIN_PATH . 'tiny-mce.php');

// Widgets
require_once (INC_PATH . 'widgets.php');

add_action('wp_head', 'ct_wp_head');

?>