<?php
/**
 * Listings
 *
 * @package WP Pro Real Estate 3
 * @subpackage Widget
 */
 
class ct_Listings extends WP_Widget {

   function ct_Listings() {
	   $widget_ops = array('description' => 'Display your latest listings.' );
	   parent::WP_Widget(false, __('Listings', 'contempo'),$widget_ops);      
   }

   function widget($args, $instance) {  
	extract( $args );
	$title = $instance['title'];
	$number = $instance['number'];
	$taxonomy = $instance['taxonomy'];
	$tag = $instance['tag'];
	$viewalltext = $instance['viewalltext'];
	$viewalllink = $instance['viewalllink'];
	?>
		<?php echo $before_widget; ?>
		<?php if ($title) { echo $before_title . $title . $after_title; }
		echo '<ul>';
		global $post;
		query_posts(array(
            'post_type' => 'listings', 
            'order' => 'DSC',
			$taxonomy => $tag,
            'posts_per_page' => $number
		));
            
        if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
        
            <li>
                <div class="img-wrap columns left">
					<?php ct_status(); ?>
                    <?php ct_first_image_tn_left(); ?>
                </div>
                <div class="listing-info marL10 left">
                    <h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                    <p class="location marB6"><?php city(); ?>, <?php state(); ?> <?php zipcode(); ?></p>
                    <p class="price"><?php if(has_status('for-rent') || has_status('rental')) { echo "Rental - "; } ?><strong><?php currency(); ?><?php listing_price(); ?></strong></p>
                    <p class="propinfo"><?php if(has_type('land') || has_type('lot')) { ?><?php echo get_post_meta($post->ID, "lotsize_value", true); ?> <?php acres(); ?><?php } elseif(has_type('commercial')) { ?><?php // Display Nothing ?><?php } else { ?><?php beds(); ?> <?php _e('Bed', 'contempo'); ?>, <?php baths(); ?> <?php _e('Bath', 'contempo'); ?>,  <?php echo get_post_meta($post->ID, "_ct_sqft", true);; ?> <?php sqftsqm(); ?><?php } ?></p>
                </div>
                    <div class="clear"></div>
            </li>

        <?php endwhile; endif; wp_reset_query(); ?>
		
		<?php echo '</ul>'; ?>
        
           <?php if($viewalltext) { ?>
               <p id="viewall"><a class="read-more right" href="<?php echo $viewalllink; ?>"><?php echo $viewalltext; ?> <em>&rarr;</em></a></p>
           <?php } ?>
		
		<?php echo $after_widget; ?>   
    <?php
   }

   function update($new_instance, $old_instance) {                
	   return $new_instance;
   }

   function form($instance) {

		$title = esc_attr($instance['title']);
		$number = esc_attr($instance['number']);
		$taxonomy = esc_attr($instance['taxonomy']);
		$tag = esc_attr($instance['tag']);
		$viewalltext = esc_attr($instance['viewalltext']);
		$viewalllink = esc_attr($instance['viewalllink']);
		?>
		<p>
		   <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','contempo'); ?></label>
		   <input type="text" name="<?php echo $this->get_field_name('title'); ?>"  value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" />
		</p>
		<p>
            <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number:','contempo'); ?></label>
            <select name="<?php echo $this->get_field_name('number'); ?>" class="widefat" id="<?php echo $this->get_field_id('number'); ?>">
                <?php for ( $i = 1; $i <= 10; $i += 1) { ?>
                <option value="<?php echo $i; ?>" <?php if($number == $i){ echo "selected='selected'";} ?>><?php echo $i; ?></option>
                <?php } ?>
            </select>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('taxonomy'); ?>"><?php _e('Taxonomy:','contempo'); ?></label>
            <select name="<?php echo $this->get_field_name('taxonomy'); ?>" class="widefat" id="<?php echo $this->get_field_id('taxonomy'); ?>">
                <?php
				foreach (get_object_taxonomies( 'listings', 'objects' ) as $tax => $value) { ?>
                <option value="<?php echo $tax; ?>" <?php if($taxonomy == $tax){ echo "selected='selected'";} ?>><?php echo $tax; ?></option>
                <?php } ?>
            </select>
        </p>
        <p>
		   <label for="<?php echo $this->get_field_id('tag'); ?>"><?php _e('Tag:','contempo'); ?></label>
		   <input type="text" name="<?php echo $this->get_field_name('tag'); ?>"  value="<?php echo $tag; ?>" class="widefat" id="<?php echo $this->get_field_id('tag'); ?>" />
		</p>
        <p>
		   <label for="<?php echo $this->get_field_id('viewalltext'); ?>"><?php _e('View All Link Text','contempo'); ?></label>
		   <input type="text" name="<?php echo $this->get_field_name('viewalltext'); ?>"  value="<?php echo $viewalltext; ?>" class="widefat" id="<?php echo $this->get_field_id('viewalltext'); ?>" />
		</p>
        <p>
		   <label for="<?php echo $this->get_field_id('viewalllink'); ?>"><?php _e('View All Link URL','contempo'); ?></label>
		   <input type="text" name="<?php echo $this->get_field_name('viewalllink'); ?>"  value="<?php echo $viewalllink; ?>" class="widefat" id="<?php echo $this->get_field_id('viewalllink'); ?>" />
		</p>
		<?php
	}
} 

register_widget('ct_Listings');
?>