<?php
/**
 * Index Template
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */
 
if (!empty($_GET['search-listings'])) {
	require('search-listings.php');
	return;
}

get_header(); ?>

			<?php ct_slider(); ?>

			<?php
            $layout = $ct_options['ct_homepage_layout']['enabled'];
            
            if ($layout) :
            
            foreach ($layout as $key=>$value) {
            
                switch($key) {
				// Featured Listings            
                case 'featured_listings' : ?>
                <section id="featured-listings" class="marT20 left">
                    <h6 class="double-border sixteen columns marB6"><span><?php _e('Featured Listings', 'contempo'); ?></span></h6>
                    <?php 
                        $args = array(
                            'status' => 'featured',
                            'post_type' => 'listings',
                            'posts_per_page' => 4
                        );
                        query_posts($args);
                        
                        if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                            
                        <article class="four columns left">
                            <div class="img-wrap">
								<?php ct_status(); ?>
                                <?php ct_first_image_linked(); ?>
                            </div>
                            <div class="featured-listing-info">
                                <h6><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>
                                <p><?php city(); ?>, <?php state(); ?> <?php zipcode(); ?></p>
                            </div>	
                        </article>
                            
                    <?php endwhile; endif; ?>
                    <?php wp_reset_query(); ?>
                </section>
                <?php
                break;
				// Call To Action
                case 'call_to_action' : ?>
                <h3 id="cta" class="sixteen columns marT20 left"><?php echo stripslashes($ct_options['ct_cta_text']); ?></h3>
                <?php
                break;
                }
            
            } endif; ?>
            
            <div class="widget-area ten columns marT20 left">
				<?php if($ct_options['ct_home_search'] == "Yes") {
                    include ( TEMPLATEPATH . '/includes/advanced-search.php' );
                } ?>
                
                <?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Homepage') ) :else: endif; ?>
            </div>
            
            <div class="sidebar six columns marT20 left">
				<?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Homepage Sidebar') ) :else: endif; ?>
			</div>

<?php get_footer(); ?>