<?php 
/**
 * Listings Loop
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */
 
if ( ! have_posts() ) : ?>

    <p class="nomatches"><strong><?php _e( 'No properties were found which match your search criteria', 'contempo' ); ?></strong>.<br /><?php _e( 'Try broadening your search to find more results.', 'contempo' ); ?></p>

<?php elseif ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>

    <article class="listing">
        <div class="img-wrap five columns left">
            <?php ct_status(); ?>
            <?php ct_first_image_md(); ?>
        </div>
        <div class="listing-info five columns left">
            <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <p class="location marB10"><?php city(); ?>, <?php state(); ?> <?php zipcode(); ?></p>
            <?php if( (get_post_meta($post->ID, "_ct_price", true)) != 0 ) { ?><p class="price marB10"><?php if(has_status('for-rent') || has_status('rental')) { echo "Rental - "; } ?><strong><?php currency(); ?><?php listing_price(); ?></strong></p><?php } ?>
            <p class="propinfo"><?php if(has_type('land') || has_type('lot')) { ?><?php echo get_post_meta($post->ID, "lotsize_value", true); ?> <?php acres(); ?><?php } elseif(has_type('commercial')) { ?><?php // Display Nothing ?><?php } else { ?><?php beds(); ?> <?php _e('Bed', 'contempo'); ?>, <?php baths(); ?> <?php _e('Bath', 'contempo'); ?>, <?php  if((get_post_meta($post->ID, "sqft_value", true))) { ?>&nbsp;|&nbsp; <?php echo get_post_meta($post->ID, "sqft_value", true); ?> <?php sqftsqm(); ?><?php } ?> <?php  if((get_post_meta($post->ID, "lotsize_value", true))) { ?><?php _e('on', 'contempo'); ?> <?php echo get_post_meta($post->ID, "lotsize_value", true); ?> <?php acres(); ?><?php } ?><?php } ?></p>
            <p class="proptype"><?php propertytype(); ?></p>
            <p class="agent"><?php _e('Listing Agent:', 'contempo'); ?> <a href="<?php bloginfo('wpurl'); ?>/?author=<?php the_author_meta('ID'); ?>"><?php the_author_meta('first_name'); ?> <?php the_author_meta('last_name'); ?></a></p>
            <?php if(get_post_meta($post->ID, "_ct_mls", true)) { ?><p class="mls marT10"><?php _e('MLS', 'contempo'); ?> # <?php echo get_post_meta($post->ID, "_ct_mls", true); ?></p><?php } ?>
        </div>
            <div class="clear"></div>
    </article>
    
<?php endwhile; ?>

	<?php ct_pagination(); ?>

<?php endif; ?>