<?php
/**
 * Listing Single Template
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */
 
global $ct_options;

get_header(); ?>

		<section class="sixteen columns marT20">
			
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                <div class="eleven columns left">
                    
                    <div id="first-image-for-print-only">
						<?php ct_first_image_print(); ?>
                    </div>
                    
                    <h3 class="address marB0"><?php the_title(); ?></h3>
                    <p class="location"><?php city(); ?>, <?php state(); ?> <?php zipcode(); ?></p>
                    
                    <?php if( (get_post_meta($post->ID, "_ct_price", true)) != 0 ) { ?><p class="price marB10"><?php if(has_status('for-rent')) { echo __('Rental - ', 'contempo'); } elseif(has_status('lease')) { echo __('Lease - ', 'contempo'); } ?><strong><?php currency(); ?><?php listing_price(); ?></strong><?php if(is_active_widget('loancalc_display')) { if(has_status('for-rent')) { } else { ?><a href="#calc"><?php _e('Calculate Payment', 'contempo'); ?></a><?php } ?><?php } ?></p><?php } ?>
                    
                    <p class="propinfo"><?php if(has_type('land') || has_type('lot')) { ?><?php echo get_post_meta($post->ID, "_ct_lotsize", true); ?> <?php acres(); ?><?php } elseif(has_type('commercial')) { ?><?php // Display Nothing ?><?php } else { ?><?php beds(); ?> <?php _e('Bed', 'contempo'); ?>, <?php baths(); ?> <?php _e('Bath', 'contempo'); ?>, <?php  if((get_post_meta($post->ID, "_ct_sqft", true))) { ?>&nbsp;|&nbsp; <?php echo get_post_meta($post->ID, "_ct_sqft", true); ?> <?php sqftsqm(); ?><?php } ?><?php } ?> <?php if((get_post_meta($post->ID, "_ct_mls", true))) { ?>&nbsp;|&nbsp; <?php _e('MLS', 'contempo'); ?> # <?php echo get_post_meta($post->ID, "_ct_mls", true); ?><?php } ?></p>
                
                    <div class="flexslider">
                        <?php ct_status(); ?>
                        <ul class="slides">
                            <?php ct_slider_images(); ?>
                        </ul>
                    </div>
                    
                    <div id="listing-tools" class="marT20">
                    
                        <ul class="left">
                            <li><a class="twitter" href="javascript:void(0);" onclick="popup('http://twitter.com/home/?status=<?php _e('Check out this great home on', 'contempo'); ?> <?php bloginfo('name'); ?> &mdash; <?php the_title(); ?> &mdash; <?php the_permalink(); ?>', 'twitter',500,260);">Tweet This</a></li>
                            <li><a class="facebook" href="javascript:void(0);" onclick="popup('http://www.facebook.com/sharer.php?u=<?php the_permalink();?>&t=<?php _e('Check out this great home on', 'contempo'); ?> <?php bloginfo('name'); ?> &mdash; <?php the_title(); ?>, <?php city(); ?>, <?php state(); ?>, <?php zipcode(); ?>', 'facebook',658,225);">Facebook</a></li>
                            <li><a class="linkedin" href="javascript:void(0);" onclick="popup('http://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink() ?>&title=<?php _e('Check out this great home on', 'contempo'); ?> <?php bloginfo('name'); ?> &mdash; <?php the_title(); ?>, <?php city(); ?>, <?php state(); ?>, <?php zipcode(); ?>&summary=&source=<?php bloginfo('name'); ?>', 'linkedin',560,400);">LinkedIn</a></li>
                            <li><a class="google" href="javascript:void(0);" onclick="popup('https://plusone.google.com/_/+1/confirm?hl=en&url=<?php the_permalink(); ?>', 'google',500,275);">Google</a></li>
                       </ul>
                        
                        <a class="print right" href="javascript:window.print()"><?php _e('Print This Listing', 'contempo'); ?></a>
                        	<div class="clear"></div>
                    </div>
                    
                    <h6 class="double-border marT20 marB6"><span><?php _e('Property Information', 'contempo'); ?></span></h6>
					<?php the_content(); ?>
                    
                    <?php addfeatlist(); ?>
                    
                    <div id="location">
                        <h6 class="double-border marT20 marB6"><span><?php _e('Location', 'contempo'); ?></span></h6>
                        <div id="map">
                            <?php listing_map(); ?>
                        </div>
                    </div>
                    
                    <?php if(get_post_meta($post->ID, "_ct_video", true)) { ?>
                    <div class="videoplayer">
                        <?php echo stripslashes(get_post_meta($post->ID, "_ct_video", true)); ?>
                    </div>       
                    <?php } ?>
                </div>
                
			<?php endwhile; endif; ?>
            
            <div class="five columns right">
				<?php if (function_exists('dynamic_sidebar') && dynamic_sidebar('Listings Single') ) :else: endif; ?>
            </div>
			
		</section>

<?php get_footer(); ?>