<?php
/**
 * Template Name: Agents
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */

get_header(); ?>

            <section class="ten columns marT20 left">
                
                    <article id="post-<?php the_ID(); ?>" <?php post_class('left clear'); ?>>
						
						<?php ct_breadcrumbs(); ?>
						
						<?php include(TEMPLATEPATH . '/includes/post-lead.php'); ?>
                        <h2 class="entry-title marB18"><?php the_title(); ?></h2>
                        <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                        <div class="entry-content marB36">
							<?php the_content(); ?>
                        </div>
                        <?php endwhile; endif; ?>
                        
                        <?php if ( get_query_var('paged') ) $paged = get_query_var('paged'); elseif ( get_query_var('page') ) $paged = get_query_var('page'); else $paged = 1; ?>
						<?php
                        $user_list = ct_get_users( 10, $paged);
                        $count = 0;				
                        
                        foreach($user_list as $author) {
									
									$curauth = get_userdata($author->ID);
									
									$author_id = $author->ID;
									$author_name = $author->display_name;
									/* custom profile fields */
									$author_title = $author->title;
									$author_profile_img = $author->ct_profile_url;
									$author_twitter = $author->twitter;
									$author_facebook = $author->facebook;
									$author_linkedin = $author->linkedin;
									$author_google = $author->google;
									$author_page_url = get_author_posts_url($author_id);

									$count++;
									
                                if($curauth->user_level >= 0 && $curauth->user_level != 10) : $user_link = get_author_posts_url($curauth->ID); ?>
                                
                                <article class="member clear">
                                    <?php if($author_profile_img) { ?><img class="author-img left" src="<?php echo get_template_directory_uri(); ?>/img_resize/timthumb.php?src=<?php echo $author_profile_img; ?>&h=129&zc=1" /><?php } ?>
                                    <div class="author-info right">
                                        <h4 class="marB0"><a href="<?php echo $author_page_url; ?>" class="author-name"><?php echo $author_name; ?></a></h4>
                                        <?php if ($author_title) { ?><h6><?php echo $author_title; ?></h6><?php } ?>
                                        <?php if($curauth->tagline) { ?><p id="tagline"><strong><?php echo $curauth->tagline; ?></strong></p><?php } ?>
										<?php if($curauth->mobile) { ?><p class="marT10 marB3"><?php _e('Mobile', 'contempo'); ?>: <?php echo $curauth->mobile; ?></p><?php } ?>
                                        <?php if($curauth->office) { ?><p class="marB3"><?php _e('Office', 'contempo'); ?>: <?php echo $curauth->office; ?></p><?php } ?>
                                        <?php if($curauth->fax) { ?><p class="marB6"><?php _e('Fax', 'contempo'); ?>: <?php echo $curauth->fax; ?></p><?php } ?>

										<?php if($curauth->brokername) { ?><p class="marB3"><strong><?php echo $curauth->brokername; ?></strong></p><?php } ?>
                                        <?php if($curauth->brokernum) { ?><p class="marB3"><?php echo $curauth->brokernum; ?></p><?php } ?>
                                        
                                        <p><?php the_author_meta( 'description', $author->ID ); ?></p>
                                        
                                        <p><strong><a href="<?php echo $author_page_url; ?>" title="<?php echo $curauth->display_name; ?>"><?php _e('View all listings', 'contempo'); ?></a></strong></p>
                                        
                                        <ul class="marL0">
                                            <?php if ($author_twitter) { ?><li class="twitter"><a href="http://twitter.com/#!/<?php echo $author_twitter; ?>" target="_blank">Twitter</a></li><?php } ?>
                                            <?php if ($author_facebook) { ?><li class="facebook"><a href="<?php echo $author_facebook; ?>" target="_blank"><?php _e( 'Facebook', 'contempo' ); ?></a></li><?php } ?>
                                            <?php if ($author_linkedin) { ?><li class="facebook"><a href="<?php echo $author_linkedin; ?>" target="_blank"><?php _e( 'LinkedIn', 'contempo' ); ?></a></li><?php } ?>
                                            <?php if ($author_google) { ?><li class="google"><a href="<?php echo $author_google; ?>" target="_blank"><?php _e( 'Google+', 'contempo' ); ?></a></li><?php } ?>
                                        </ul>
                                    </div>
                                </article>
        
                                <?php endif; ?>
                
						<?php } ?>
                        
                    </article>
                
            </section>
            
            <?php get_sidebar(); ?>

<?php get_footer(); ?>