<?php
/**
 * Template Name: Contact
 *
 * @package WP Pro Real Estate 3
 * @subpackage Template
 */

get_header(); ?>

            <section class="marT20 left">
            
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                
                    <article id="post-<?php the_ID(); ?>" <?php post_class('sixteen columns left full-width border-top padT20 clear'); ?>>                        
                    
                        <?php ct_breadcrumbs(); ?>
						
						<?php if($ct_options['ct_contact_map'] == "Yes") { ?>
                        <?php contact_us_map(); ?>
                        <?php } ?>

                        <div id="form-wrap" class="eight columns left marL0">
							<h4 class="marB10"><?php _e('Drop us a line', 'contempo'); ?></h4>
                            <?php the_content(); ?>
                            
                            <form id="contactform" class="formular left" method="post">
                                <fieldset>
                                    <input type="text" name="name" id="name" class="validate[required,custom[onlyLetter]] text-input" value="Name" onfocus="if(this.value=='Name')this.value = '';" onblur="if(this.value=='')this.value = 'Name';" />
                                    
                                    <input type="text" name="email" id="email" class="validate[required,custom[email]] text-input" value="Email" onfocus="if(this.value=='Email')this.value = '';" onblur="if(this.value=='')this.value = 'Email';" />
                                    
                                    <textarea class="validate[required,length[2,500]] text-input" name="message" id="message" rows="5" cols="10"></textarea>
                                    
                                    <input type="hidden" id="ctyouremail" name="ctyouremail" value="<?php echo $ct_options['ct_contact_email']; ?>" />
                                    <input type="hidden" id="ctsubject" name="ctsubject" value="<?php echo $ct_options['ct_contact_subject']; ?>" />
                                    
                                    <input type="submit" name="Submit" value="Submit" id="submit" class="btn" />  
                                </fieldset>
                            </form>
                        </div>
						
						<?php if($ct_options['ct_contact_details_location'] || $ct_options['ct_contact_details_phone'] || $ct_options['ct_contact_details_fax'] || $ct_options['ct_contact_details_email'] != '') { ?>
						<div id="contact-info" class="four columns left">
							<h4 class="marB10"><?php _e('Contact Details', 'contempo'); ?></h4>
							<ul>
								<?php if($ct_options['ct_contact_details_location']) { ?>
								<li id="address"><?php print($ct_options['ct_contact_details_location']); ?></li>
								<?php } ?>
								<?php if($ct_options['ct_contact_details_phone']) { ?>
								<li id="tel"><?php echo $ct_options['ct_contact_details_phone']; ?></li>
								<?php } ?>
								<?php if($ct_options['ct_contact_details_fax']) { ?>
								<li id="fax"><?php echo $ct_options['ct_contact_details_fax']; ?></li>
								<?php } ?>
								<?php if($ct_options['ct_contact_details_email']) { ?>
								<li id="email"><a href="mailto:<?php echo $ct_options['ct_contact_details_email']; ?>"><?php echo $ct_options['ct_contact_details_email']; ?></a></li>
								<?php } ?>
							</ul>
						</div>
						<?php } ?>

                        <?php if($ct_options['ct_contact_social'] == "Yes") { ?>
                        <div id="social-links" class="four columns <?php if($ct_options['ct_contact_details_location'] || $ct_options['ct_contact_details_phone'] || $ct_options['ct_contact_details_fax'] || $ct_options['ct_contact_details_email'] == '') { echo 'left'; } else { echo 'right'; } ?> last">
                            <h4 class="marB10"><?php _e('Connect With Us', 'contempo'); ?></h4>
                            <ul>
                            <?php if($ct_options['ct_facebook_url']) { ?>
                                <li class="facebook"><a href="<?php echo $ct_options['ct_facebook_url']; ?>">Facebook</a></li>
                            <?php } ?>
                            <?php if($ct_options['ct_twitter_user']) { ?>
                                <li class="twitter"><a href="http://twitter.com/<?php echo $ct_options['ct_twitter_user']; ?>">Twitter</a></li>
                            <?php } ?>
                            <?php if($ct_options['ct_linkedin_url']) { ?>
                                <li class="linkedin"><a href="<?php echo $ct_options['ct_linkedin_url']; ?>">LinkedIn</a></li>
                            <?php } ?>
                            <?php if($ct_options['ct_google_plus_url']) { ?>
                                <li class="google-plus"><a href="<?php echo $ct_options['ct_google_plus_url']; ?>">Google+</a></li>
                            <?php } ?>
                            </ul>
                        </div>
                        <?php } ?>

                    </article>
                
				<?php endwhile; endif; ?>
                
            </section>

<?php get_footer(); ?>